## org.eclipse.jst.ws.jaxws.dom.runtime
Interface IPropertyState

    public interface IPropertyState

Interface for checking the state of some property for concrete DOM object. This interface should be used by DOM clients that need to know if some property can be changed - for example UI editor that needs to know if the property should be enabled for edit or disabled.

Author:
  Georgi Vachkov

Method Summary
`boolean` `isChangeable(org.eclipse.emf.ecore.EStructuralFeature feature)` Defines if property is changeable.

Method Detail

### isChangeable

    boolean isChangeable(org.eclipse.emf.ecore.EStructuralFeature feature)

  Defines if property is changeable.

  Returns:
    `true` in case property can be changed